<template>
	<view class="box">
		<view class="bgtop">
			<image src="../../static/img/nav_top.png" style="width: 100%;height: 100%;"></image>
		</view>
		<view class="bgcenter">

			<view class="box-content">
				<scroll-view :scroll-y="true" :style="{height:height+'px'}">
					<rich-text :nodes="info.value"></rich-text>
				</scroll-view>
			</view>
		</view>
		<view class="bgbottom">
			<image src="../../static/img/nav_bottom.png" style="width: 100%;height: 100%;"></image>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				height: 0,
				info: {},
			}
		},
		onLoad() {
			let that = this;
			uni.getSystemInfo({
				success: function(res) {
					that.height = res.windowHeight - 80;
				}
			});
			this.loadConfigInfo();
		},
		methods: {

			loadConfigInfo() {
				var that = this;
				this.util.request({
					api: '/api/mobile/other/config-show',
					data: {
						tag: "about"
					},
					utilSuccess: function(res) {
						res.value=res.value.replace(/\<img/g,"<img style='width:100%;height:auto;display:block'")
						that.info = res;
					},
					utilFail: function(res) {
						uni.showToast({
							icon: "none",
							title: res,
							duration: 2000
						})
					}
				})
			},
		}
	}
</script>

<style>
	.box {
		padding: 20rpx;
		box-sizing: border-box;
	}

	.bgtop {
		height: 40rpx;
	}

	

	.bgcenter {
		background: url("../../static/img/nav_middle.png") repeat-y;
		background-size: 100% 100%;
	}

	.box-content {
		padding: 15rpx 20rpx;
		color: #351C1B;

		box-sizing: border-box;
	}

	.title {}

	.time {
		font-size: 24rpx;
	}

	.bgbottom {
		height: 40rpx;
	}
</style>
